Bug 608111 - [abrt] crash in yumex-2.9.8-1.fc13: yumex-yum-backend:65:<module>:NameError: name 'yum_conf' is not defined
Summary: [abrt] crash in yumex-2.9.8-1.fc13: yumex-yum-backend:65:<module>:NameError: ...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: yumex   
(Show other bugs)
Version: 13
Hardware: x86_64 Linux
low
medium
Target Milestone: ---
Assignee: Tim Lauridsen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:693135f4
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-06-25 17:40 UTC by Richard T Walraven
Modified: 2015-07-26 14:20 UTC (History)
2 users (show)

Fixed In Version: yumex-3.0.0-2.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-19 00:02:16 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (950 bytes, text/plain)
2010-06-25 17:40 UTC, Richard T Walraven
no flags Details

Description Richard T Walraven 2010-06-25 17:40:55 UTC
abrt 1.1.1 detected a crash.

architecture: x86_64
cmdline: /usr/bin/python -E /usr/share/yumex/yumex-yum-backend --help
comment: Yumex-backend keeps cashing before yumex starts
component: yumex
executable: /usr/share/yumex/yumex-yum-backend
kernel: 2.6.33.5-124.fc13.x86_64
package: yumex-2.9.8-1.fc13
reason: yumex-yum-backend:65:<module>:NameError: name 'yum_conf' is not defined
release: Fedora release 13 (Goddard)

backtrace
-----
yumex-yum-backend:65:<module>:NameError: name 'yum_conf' is not defined

Traceback (most recent call last):
  File "/usr/share/yumex/yumex-yum-backend", line 65, in <module>
    my = YumServer(debuglevel, plugins, offline, repos, yum_conf)
NameError: name 'yum_conf' is not defined

Local variables in innermost frame:
signal: <module 'signal' (built-in)>
__builtins__: <module '__builtin__' (built-in)>
my: None
__file__: '/usr/share/yumex/yumex-yum-backend'
plugins: True
__package__: None
sys: <module 'sys' (built-in)>
YumexBackendFatalError: <class 'yumexbase.YumexBackendFatalError'>
yum: <module 'yum' from '/usr/lib/python2.6/site-packages/yum/__init__.pyc'>
sigquit: <function sigquit at 0x7f375e455320>
debuglevel: 2
__name__: '__main__'
offline: False
os: <module 'os' from '/usr/lib64/python2.6/os.pyc'>
__doc__: '\nThe yum child task started by yumex in the background\n'
repos: []
YumServer: <class 'yumexbackend.yum_server.YumServer'>

Comment 1 Richard T Walraven 2010-06-25 17:40:57 UTC
Created attachment 426943 [details]
File: backtrace

Comment 2 Tim Lauridsen 2010-07-10 07:43:41 UTC
This is in the current release in testing.

yum --enablerepo=updates-testing update yumex

please test

Comment 3 Fedora Update System 2010-11-06 15:19:54 UTC
yumex-3.0.0-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/yumex-3.0.0-1.fc13

Comment 4 Fedora Update System 2010-11-06 15:20:05 UTC
yumex-3.0.0-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/yumex-3.0.0-1.fc14

Comment 5 Fedora Update System 2010-11-06 23:43:10 UTC
yumex-3.0.0-1.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update yumex'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/yumex-3.0.0-1.fc14

Comment 6 Fedora Update System 2010-11-10 05:49:46 UTC
yumex-3.0.0-2.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/yumex-3.0.0-2.fc13

Comment 7 Fedora Update System 2010-11-10 05:50:02 UTC
yumex-3.0.0-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/yumex-3.0.0-2.fc14

Comment 8 Fedora Update System 2010-11-19 00:02:02 UTC
yumex-3.0.0-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2010-11-19 00:07:50 UTC
yumex-3.0.0-2.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.